Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log
Interface LogTarget

All Known Subinterfaces:
  FilterTarget

All Known Implementing Classes:
  AbstractFilterTarget, AbstractOutputTarget, AbstractTarget, AsyncLogTarget, FileTarget, PriorityFilter, RotatingFileTarget, StreamTarget, WriterTarget

    public interface LogTarget

LogTarget is a class to encapsulate outputting LogEvent's. This provides the base for all output and filter targets.

Warning: If performance becomes a problem then this interface will be rewritten as a abstract class.

Author:
  Peter Donald

Method Summary
`void` | `processEvent(LogEvent event)` Process a log event.

Method Detail

### processEvent

    void processEvent(LogEvent event)

  Process a log event. In NO case should this method ever throw an exception/error. The reason is that logging is usually added for debugging/auditing purposes and it would be unnaceptable to have your debugging code cause more errors.

  Parameters:
    `event` - the event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.